Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.gui.events
Class JmolAlignedPositionListener

    java.lang.Object
      org.biojava.bio.structure.gui.events.JmolAlignedPositionListener

All Implemented Interfaces:
  AlignmentPositionListener

    public class JmolAlignedPositionListener

extends Object
implements AlignmentPositionListener

Constructor Summary
`JmolAlignedPositionListener(BiojavaJmol parent, StructurePairAligner alig)`

Method Summary
`void` | `mouseOverPosition(AlignedPosition p)`
`void` | `positionSelected(AlignedPosition p)`
`void` | `rangeSelected(AlignedPosition start, AlignedPosition end)`
`void` | `selectionLocked()`
`void` | `selectionUnlocked()`
`void` | `setStructure1(Structure structure1)`
`void` | `setStructure2(Structure structure2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmolAlignedPositionListener

    public JmolAlignedPositionListener(BiojavaJmol parent,
                                       StructurePairAligner alig)

Method Detail

### setStructure1

    public void setStructure1(Structure structure1)

### setStructure2

    public void setStructure2(Structure structure2)

### mouseOverPosition

    public void mouseOverPosition(AlignedPosition p)

  Specified by:
    `mouseOverPosition` in interface `AlignmentPositionListener`

### positionSelected

    public void positionSelected(AlignedPosition p)

  Specified by:
    `positionSelected` in interface `AlignmentPositionListener`

### rangeSelected

    public void rangeSelected(AlignedPosition start,
                              AlignedPosition end)

  Specified by:
    `rangeSelected` in interface `AlignmentPositionListener`

### selectionLocked

    public void selectionLocked()

  Specified by:
    `selectionLocked` in interface `AlignmentPositionListener`

### selectionUnlocked

    public void selectionUnlocked()

  Specified by:
    `selectionUnlocked` in interface `AlignmentPositionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD